
public class Cabrio 
	extends Auto
{
	String verdeckFarbe;
	/**
	 * Konstruktor delegiert alle Attribute, die in der Superklasse Auto verwaltet
	 * werden via Super-Konstruktor dorthin, der Wert der Verdeck-Farbe wird hier
	 * vor Ort verwaltet.
	 */
	public Cabrio (String modell, String kennz, int ps, String VF) {
		super(modell, kennz, ps);
		verdeckFarbe = VF;
	}

	/**
	 *	Erstellt Text fr die Kleinanzeige fr diese Auto.
	 *	Beispiel: "Mercedes Benz Sport Coupe 160 (118 PS). VB. Anfragen 089-123456."
	 */

	/**
	 * berschreibe die Original getKleinanzeigenText() Methode, um das Ergebnis
	 * des getKleinanzeigenText() Aufrufs auf der Superklasse um die Cabrio
	 * spezifischen Elemente zu ergnzen.
	 */
	String getKleinanzeigenText()
	{
		return "Cabrio " + modell + "("+getPs()+") Verdeckfarbe: " + verdeckFarbe;
	}
	
}
