import java.io.*;

public class Eingabe {
	
	public static int leseInteger() {
	   try {
		  String s = readInputBuffer ();
		  return Integer.parseInt(s);
	   }
	   catch (Exception e) {
		  System.err.println("Eingabe-Fehler "+e);
		  return -1;
	   }
	}
   
	public static double leseDouble() {
	   try {
		  String s = readInputBuffer ();
		  return Double.parseDouble(s);
	   }
	   catch (Exception e) {
		  System.err.println("Eingabe-Fehler "+e);
		  return -1;
	   }
	}

	public static char leseCharacter () {
	   try {
		  String s = readInputBuffer ();
		  return s.charAt(0);
	   }
	   catch (Exception e) {
		  System.err.println("Eingabe-Fehler "+e);
		  return '0';
	   }
	}
   
   
	private static String readInputBuffer () throws IOException {
	   BufferedReader in = new BufferedReader
		  (new InputStreamReader(System.in));
	   return in.readLine();
	}
   
	
	public static int zufallszahlGenerieren()
	{
	   return ((int)(Math.random()*100));
	}
	
}
