/**
 *  Die Mutter aller OO Beispiele
 *  @author milewski
 */

public class Auto
{
	// hier Text fr eine Konstante
	public static final float FAKTOR_PS_ZU_KW = (float) 0.735499;
	String modell;
	String kennzeichen;
	int ps;
	
	int getKW()
	{
		return (int) (ps * 0.735499);
	}

	static int xgetKW(int ps)
	{
		return (int) (ps * 0.735499);
	}
	
	public static void main(String[] x)
	{
		Auto a = new Auto();
		a.modell = "VW Kfer 1.1l";
		a.ps = 66;
		
		Auto b = new Auto();
		b.modell = "BMW 316i 1.8l";
		b.ps = 122;
		
		a.kennzeichen ="M-VW 22";
		b.kennzeichen ="B-MW 666";
		
		// Klassisch prozedural
		System.out.println("a. " + a.modell + "(" + a.ps + " PS / " + xgetKW(a.ps) + " kw)");
		System.out.println("b. " + b.modell + "(" + b.ps + " PS / " + xgetKW(b.ps) + " kw)");
		
		// OO
		System.out.println("a. " + a.modell + "(" + a.ps + " PS / " + a.getKW() + " kw)");
		System.out.println("b. " + b.modell + "(" + b.ps + " PS / " + b.getKW() + " kw)");
		
		System.out.println(a.getKleinanzeigenText());
		System.out.println(b.getKleinanzeigenText());
	}
	
	public static final String ANFRAGEN = "VB. Anfrage 089-123456";
	/**
	 *  Erstellt Text fr die Kleinanzeige fr diese Autos
	 *  Beispiel: "Mercedes Benz Sport Coupe 160 (110 PS). VB Anfrage 089-123456"
	 */
	String getKleinanzeigenText()
	{
		return modell + " (" + ps + " PS). " + ANFRAGEN;
	}
}
