
public class Cabrio 
	extends Auto
{
	String verdeckFarbe;

	/**
	 * Konstruktor delegiert alle Attribute die in der Superklasse Auto verwaltet
	 * werden via Super-Konstruktor dorthin, der Wert der Verdeck-Farbe wird
	 * hier vor Ort verwaltet.
	 */
	public Cabrio (String modell, String kennz, int ps, String vf) {
		super(modell, kennz, ps);
		verdeckFarbe = vf;
	}
	
	/**
	 * berschreibe die original getKleinanzeigenText() Methode, um das Ergebnis
	 * des getKleinanzeigenText() Aufrufs auf der Superklasse um die Cabrio-
	 * spezifischen Elemente zu ergnzen
	 */
	String getKleinanzeigenText()
	{
		return "Cabrio " + super.getKleinanzeigenText() + "(Verdeck: "
			+verdeckFarbe +")";
	}

	public String getVerdeckFarbe()
	{
		return verdeckFarbe;
	}
	
}
